Subject: Re: bug#70941: 30.0.50; Low RGB color values use the terminal palette in TUI

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 May 2024 18:34:53 +0300

> From: Gerry Agbobada <[email-masked]>
> Date: Sun, 19 May 2024 15:54:48 +0200
> Cc: [email-masked]
> 
> > I think the fact that you get the first few colors as you do is
> > largely a coincidence, and is not necessarily related.
> > 
> > I suggest that you first try the change I pointed out: using #RGB
> > color specs with 4 hex digits per component, not 2 digits.  If that
> > doesn't work as you expect, we can take it from there.
> 
> I changed the script to use the 4 hex digits, and the black colors
> still look weird

They now all look the same, but for some reason they look almost
white, not black.

I cannot reproduce this on systems to which I have access, so you or
someone else will have to debug this with that particular terminal.

What does the below report on that terminal?

  M-: (tty-color-desc "#000000000000") RET

> That’s the part I wanted to report as bug, all the colors that seem
> to be specified as RGB but are only low blue values seem to be
> handled differently (and, to me, unexpectedly) than most of the
> other colors. It’s probably reproducible in a dark theme too, but
> this is more visual with a light Emacs theme and a terminal
> emulator theme that has a 0th palette colour that is light 
> instead of dark

What do you mean by "dark theme"?  This is in "emacs -Q", right?
without any theme being loaded by Emacs, right?